# Class StandaloneApplication<O>

#### Type Parameters

- O extends ApplicationConfig

#### Hierarchy (view full)

- Application<O, ApplicationRef>
  - StandaloneApplication

- Defined in lib/standalone-application.ts:13

#####
Index

### Constructors

constructor

### Properties

app
config
configLoadOptions?
environment
logger
options
rootComponent

### Methods

after
before
bootstrap
create
handleAfter
handleBefore
importProvidersFrom
loadConfig
prepareConfig
prepareEnvironment

## Constructors

### constructor

- new StandaloneApplication<O>(environment, rootComponent, options?, configLoadOptions?): StandaloneApplication<O>

- #### Type Parameters

  - O extends ApplicationConfig

  #### Parameters

  - environment: Environment
  - rootComponent: Type<unknown>
  - `Optional` options: O
  - configLoadOptions: ConfigLoadOptions = ...

  #### Returns StandaloneApplication<O>

  Overrides Application.constructor

  - Defined in lib/standalone-application.ts:15

## Properties

### app

app: null | ApplicationRef = null

Inherited from Application.app

- Defined in lib/application.ts:35

### config

config: null | ConfigService<Record<string, any>> = null

Inherited from Application.config

- Defined in lib/application.ts:37

### `Optional` `Readonly` configLoadOptions

configLoadOptions?: ConfigLoadOptions

Inherited from Application.configLoadOptions

- Defined in lib/application.ts:44

### `Readonly` environment

environment: Environment

Inherited from Application.environment

- Defined in lib/application.ts:42

### logger

logger: null | NGXLogger = null

Inherited from Application.logger

- Defined in lib/application.ts:36

### `Readonly` options

options: O = ...

Inherited from Application.options

- Defined in lib/application.ts:43

### `Private` `Readonly` rootComponent

rootComponent: Type<unknown>

- Defined in lib/standalone-application.ts:17

## Methods

### after

- after(fnc): void

- #### Parameters

  - fnc: ApplicationAfterFunction<ApplicationRef>

  #### Returns void

  Inherited from Application.after

  - Defined in lib/application.ts:86

### before

- before(fnc): void

- #### Parameters

  - fnc: ApplicationBeforeFunction<O>

  #### Returns void

  Inherited from Application.before

  - Defined in lib/application.ts:82

### bootstrap

- bootstrap(): Promise<void>

- #### Returns Promise<void>

  Inherited from Application.bootstrap

  - Defined in lib/application.ts:47

### `Protected` create

- create(): Promise<ApplicationRef>

- #### Returns Promise<ApplicationRef>

  Overrides Application.create

  - Defined in lib/standalone-application.ts:32

### `Protected` handleAfter

- handleAfter(app, logger, config): Promise<void>

- #### Parameters

  - app: ApplicationRef
  - logger: NGXLogger
  - config: ConfigService<Record<string, any>>

  #### Returns Promise<void>

  Inherited from Application.handleAfter

  - Defined in lib/application.ts:96

### `Protected` handleBefore

- handleBefore(config, options): Promise<void>

- #### Parameters

  - config: ConfigService<Record<string, any>>
  - options: O

  #### Returns Promise<void>

  Inherited from Application.handleBefore

  - Defined in lib/application.ts:90

### importProvidersFrom

- importProvidersFrom(...sources): void

- #### Parameters

  - `Rest` ...sources: ImportProvidersSource[]

  #### Returns void

  - Defined in lib/standalone-application.ts:27

### `Protected` loadConfig

- loadConfig(environment): Promise<void>

- #### Parameters

  - environment: Environment

  #### Returns Promise<void>

  Inherited from Application.loadConfig

  - Defined in lib/application.ts:102

### `Protected` prepareConfig

- prepareConfig(config): void

- #### Parameters

  - config: O

  #### Returns void

  Overrides Application.prepareConfig

  - Defined in lib/standalone-application.ts:36

### `Protected` prepareEnvironment

- prepareEnvironment(environment): Promise<void>

- #### Parameters

  - environment: Environment

  #### Returns Promise<void>

  Inherited from Application.prepareEnvironment

  - Defined in lib/application.ts:106